## org.codehaus.groovy.grails.web.servlet.mvc
Class SynchronizerToken

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.SynchronizerToken

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable

    public class SynchronizerToken

extends Object
implements Serializable, groovy.lang.GroovyObject

See Also:
  Serialized Form

Field Summary
`static String` `KEY`
`static String` `URI`

Constructor Summary
`SynchronizerToken()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `generateToken()`
`UUID` `getCurrentToken()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isValid(String token)`
`void` `setCurrentToken(UUID value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`static SynchronizerToken` `store(HttpSession session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static String KEY

### URI

    public static String URI

Constructor Detail

### SynchronizerToken

    public SynchronizerToken()

Method Detail

### getCurrentToken

    public UUID getCurrentToken()

### setCurrentToken

    public void setCurrentToken(UUID value)

### isValid

    public boolean isValid(String token)

### generateToken

    public void generateToken()

### store

    public static SynchronizerToken store(HttpSession session)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project